import { API, DynamicPlatformPlugin, Logging, PlatformAccessory, PlatformConfig } from "homebridge";
import { ProtectOptions } from "./protect-options.js";
import { RtpPortAllocator } from "./protect-rtp.js";
export declare class ProtectPlatform implements DynamicPlatformPlugin {
    accessories: PlatformAccessory[];
    readonly api: API;
    readonly config: ProtectOptions;
    readonly configOptions: string[];
    private readonly controllers;
    private featureOptionDefaults;
    readonly log: Logging;
    readonly rtpPorts: RtpPortAllocator;
    private _hostSystem;
    verboseFfmpeg: boolean;
    private videoProcessorEncoders;
    constructor(log: Logging, config: PlatformConfig, api: API);
    configureAccessory(accessory: PlatformAccessory): void;
    private launchControllers;
    private probeVideoProcessorCodecs;
    isEncoderAvailable(codec: string, encoder: string): boolean;
    private probeHwOs;
    get hostSystem(): string;
    featureOptionDefault(option: string): boolean;
    debug(message: string, ...parameters: unknown[]): void;
}
